Solid Edge Assembly Type Library
PutMatrix Method
Specifies the position and orientation of the occurrence or SubOccurrence. This is a single-dimension array that defines a valid transformation matrix. If the matrix is invalid or if it defines any transformations that are not supported, the Occurrence or SubOccurrence may disappear from the view. Only translation, scale, and rotation transforms are valid.
Specifies whether the input matrix is to replace the existing transform of the Occurrence or SubOccurrence or if the input matrix is to be appended to the existing Occurrence or SubOccurrence transform. This effectively multiples the current transform of the Occurrence or SubOccurrence with the input matrix and uses the result as the new Occurrence or SubOccurrence transform.
Description
Sets the transformation matrix for the referenced occurrence.
Syntax
Visual Basic
Public Sub PutMatrix( _
   ByRef Matrix() As Double, _
   ByVal Replace As Boolean _
) 
Parameters
Matrix
Specifies the position and orientation of the occurrence or SubOccurrence. This is a single-dimension array that defines a valid transformation matrix. If the matrix is invalid or if it defines any transformations that are not supported, the Occurrence or SubOccurrence may disappear from the view. Only translation, scale, and rotation transforms are valid.
Replace
Specifies whether the input matrix is to replace the existing transform of the Occurrence or SubOccurrence or if the input matrix is to be appended to the existing Occurrence or SubOccurrence transform. This effectively multiples the current transform of the Occurrence or SubOccurrence with the input matrix and uses the result as the new Occurrence or SubOccurrence transform.
Example
Private Sub Form_Load()
    Dim objApp As SolidEdgeFramework.Application
    Dim objDoc As SolidEdgeAssembly.AssemblyDocument
    Dim objPart As SolidEdgeAssembly.Occurrence
    Dim dblMatrix(1 To 16) As Double
    Const TESTFILE = "T:\vbtests\testcases\cube.par"
    ' Report errors
    Const PI = 3.14159265358979
    ' Create/get the application with specific settings
    On Error Resume Next
    Set objApp = GetObject(, "SolidEdge.Application")
    If Err Then
        Err.Clear
        Set objApp = CreateObject("SolidEdge.Application")
        Set objDoc = objApp.Documents.Add("SolidEdge.AssemblyDocument")
        objApp.Visible = True
    Else
        Set objDoc = objApp.ActiveDocument
    End If
    ' adding a part document to the assembly document
    Set objPart = objDoc.Occurrences.AddByFilename(OccurrenceFileName:=TESTFILE)
    ' changing the location of the placed part using a matrix
    dblMatrix(1) = 2
    dblMatrix(2) = 0
    dblMatrix(3) = 0
    dblMatrix(4) = 0
    dblMatrix(5) = 0
    dblMatrix(6) = 2
    dblMatrix(7) = 0
    dblMatrix(8) = 0
    dblMatrix(9) = 0
    dblMatrix(10) = 0
    dblMatrix(11) = 2
    dblMatrix(12) = 0
    dblMatrix(13) = 0.05
    dblMatrix(14) = 0.05
    dblMatrix(15) = 0.05
    dblMatrix(16) = 1
    Call objPart.PutMatrix(matrix:=dblMatrix, Replace:=True)
    ' USER DISPLAY
    ' Release objects
    Set objApp = Nothing
    Set objDoc = Nothing
    Set objPart = Nothing
End Sub
See Also

Occurrence Object  | Occurrence Members

Send comments on this topic.